org.gjt.sp.jedit.gui.tray

## Class JEditTrayIcon

- java.lang.Object
- - java.awt.TrayIcon
  - - org.gjt.sp.jedit.gui.tray.JTrayIcon
    - - org.gjt.sp.jedit.gui.tray.JEditTrayIcon

Direct Known Subclasses:
  JEditSwingTrayIcon

    public abstract class JEditTrayIcon
    extends JTrayIcon

The mother class of the tray icon service. If you want to replace the tray icon of jEdit, you must extend it and declare a service "org.gjt.sp.jedit.gui.tray.JEditTrayIcon"

See Also:
  `ServiceManager`

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.TrayIcon

`java.awt.TrayIcon.MessageType`

### Constructor Summary

Constructors
`protected` `JEditTrayIcon(java.awt.Image image, java.lang.String tooltip)`

### Method Summary

### Methods inherited from class org.gjt.sp.jedit.gui.tray.JTrayIcon

`getMenu, setMenu`

### Methods inherited from class java.awt.TrayIcon

`addActionListener, addMouseListener, addMouseMotionListener, displayMessage, getActionCommand, getActionListeners, getImage, getMouseListeners, getMouseMotionListeners, getPopupMenu, getSize, getToolTip, isImageAutoSize, removeActionListener, removeMouseListener, removeMouseMotionListener, setActionCommand, setImage, setImageAutoSize, setPopupMenu, setToolTip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JEditTrayIcon

    protected JEditTrayIcon(java.awt.Image image,
                 java.lang.String tooltip)